# TODO:
# - cron?
%define		mod_name	bw
%define 	apxs		/usr/sbin/apxs
Summary:	Apache module: bandwidth limits
Summary(pl.UTF-8):	Moduł do Apache: limity pasma
Name:		apache-mod_%{mod_name}
Version:	0.92
Release:	5
License:	Apache v2.0
Group:		Networking/Daemons/HTTP
Source0:	http://ivn.cl/files/source/mod_bw-%{version}.tgz
# Source0-md5:	90f5e632dad5de8d49dcdb61453dcf97
Source1:	%{name}.conf
Source2:	%{name}.tmpfiles
Patch0:		mod_bw-apache24.patch
URL:		http://www.ivn.cl/apache/
BuildRequires:	%{apxs}
BuildRequires:	apache-devel >= 2.0.0
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0
Requires:	apache(modules-api) = %apache_modules_api
Requires:	crondaemon
Requires:	procps
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)/conf.d

%description
"Mod_bandwidth" is a module for the Apache webserver that enable the
setting of server-wide or per connection bandwidth limits, based on
the directory, size of files and remote IP/domain.

%description -l pl.UTF-8
Moduł pozwalający na ograniczanie pasma serwera Apache bazując na
katalogu, wielkości plików lub zdalnym IP/domenie.

%prep
%setup -qc
%patch0 -p1

%build
%{apxs} -c mod_bw.c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}} \
	$RPM_BUILD_ROOT%{_var}/run/%{name}/{link,master} \
	$RPM_BUILD_ROOT{/etc/cron.d,%{_sbindir}} \
	$RPM_BUILD_ROOT/usr/lib/tmpfiles.d

install -p .libs/mod_bw.so $RPM_BUILD_ROOT%{_pkglibdir}/mod_%{mod_name}.so
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/97_mod_%{mod_name}.conf
install %{SOURCE2} $RPM_BUILD_ROOT/usr/lib/tmpfiles.d/%{name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q httpd restart

%postun
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc mod_bw.txt LICENSE ChangeLog
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*.so
#%config(noreplace) %verify(not size mtime md5) %attr(640,root,root) /etc/cron.d/%{name}
#%attr(755,root,root) %{_sbindir}/*
/usr/lib/tmpfiles.d/%{name}.conf
%attr(750,http,root) %dir %{_var}/run/%{name}
%attr(750,http,root) %dir %{_var}/run/%{name}/link
%attr(750,http,root) %dir %{_var}/run/%{name}/master
%changelog
* Sun May 05 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/apache-mod_bw.git;a=log;h=master

* Sun May 05 2013 Jan Rękorajski <baggins@pld-linux.org> 0f2aad2
- build with apache 2.4
- rel 5

* Tue Jan 31 2012 Jan Rękorajski <baggins@pld-linux.org> c18d4a4
- release 4

* Mon Jan 30 2012 Jan Rękorajski <baggins@pld-linux.org> 455f260
- rel 3
- added tmpfiles config for systemd

* Mon Jan 30 2012 Jan Rękorajski <baggins@pld-linux.org> 41a8e02
- add systemd tmpfiles config

* Fri Oct 21 2011 Elan Ruusamäe <glen@pld-linux.org> e41f561
- fix config dir

* Fri Jun 10 2011 Elan Ruusamäe <glen@pld-linux.org> 472fb15
- license version

* Fri Jun 10 2011 Elan Ruusamäe <glen@pld-linux.org> 0e16d96
- up to 0.92, builds

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> a720755
- drop obsolete files

* Sat Oct 25 2008 Paweł Gołaszewski <blues@pld-linux.org> abe986c
- HTTP group

* Sun Dec 09 2007 Elan Ruusamäe <glen@pld-linux.org> d8882fd
- apache-apxs -> %{apxs} in BR

* Thu Jun 07 2007 shadzik <shadzik@pld-linux.org> 91c4c31
- BR s@%{apxs}@apache-apxs@g

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> d5c887e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> c944853
- converted to UTF-8

* Mon Dec 04 2006 undefine <undefine@pld-linux.org> 9da792d
- use modules/ path, fix use on systems with lib64
- release 3

* Mon Dec 04 2006 undefine <undefine@pld-linux.org> 9b7e0b9
- use modules/ path

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> a89f9b2
- orphaned, outdated

* Fri Apr 14 2006 Elan Ruusamäe <glen@pld-linux.org> 8d98470
- restart apache in %postun rather in %preun as the config file, loading module
  is still there and module will be loaded after package is uninstalled, which
  later causes missing configuration file errors.

* Mon Jan 30 2006 Elan Ruusamäe <glen@pld-linux.org> b2f4d84
- use %service

* Tue Dec 27 2005 Elan Ruusamäe <glen@pld-linux.org> c67d93f
- unified files

* Mon Dec 26 2005 Elan Ruusamäe <glen@pld-linux.org> ed6ddc9
- unified

